Class List Method List File List

# Class: OSX::NSData

Inherits:
  Object
  - Object
  - OSX::NSData
  show all
Defined in:
  src/ruby/osx/objc/cocoa_macros.rb

## Overview

NSData additions.

## Class Method Summary (collapse)

- + (OSX::NSData) dataWithRubyString(str) deprecated Deprecated.

  DO NOT USE. use NSString#dataUsingEncoding().

## Class Method Details

### + (`OSX::NSData`) dataWithRubyString(str)

Deprecated.

DO NOT USE. use NSString#dataUsingEncoding().

Returns:

- (`OSX::NSData`)

    37
    38
    39
    40
    # File 'src/ruby/osx/objc/cocoa_macros.rb', line 37

    def NSData.dataWithRubyString (str)
      warn "#{caller[0]}:: NSData.dataWithRubyString will be deprecated."
      NSData.dataWithBytes_length( str )
    end